## fis3-parser-vueify-deasync

> deasynced vueify parser for fis3

fis3 vue parser, use `deasync` module to allow asynchronous vueify can be used in synchronous fis3 workflow.

### Usage

If you just write javascript in ES3/ES5 style, you can just use this plugin like below.

```js
fis.match('*.vue', {
  parser: fis.plugin('vueify-deasync', {
    // vueify options here, e.g plugins
  })
})
```

If you write TypeScript in `.vue` file, you should use multi parser to allow typescript to compile vueify output.

```js
fis.match('*.vue', {
  isTsLike: true, // important! make sure this config exist to allow typescript to compile vueify output correctly
  parser: [
    fis.plugin('vueify-deasync', {
      // vueify options here, e.g plugins
    }),
    fis.plugin('typescript', {
      // typescript compilerOptions here
    })
  ],
  rExt: '.js'
})
```

If you write ES6 style code in `.vue` file, and want to use typescript to compile source code, you
should use the same config above.

If you want to use babel to compile source code, you should
use babel plugin of fis3.

**Notice**

If you use typescript, you should use `import Component = require('foo.vue')` syntax even if you exported default in script block in vue file, because vueify force `module.exports = module.exports.default` when compile.
And you should use `export default {}` syntax in your vue file. If you use `export = {}` syntax typescript will compile failed.

### License
MIT
