var compiler = require('vueify').compiler;
var deasync = require('deasync');

var compileSync = deasync(compiler.compile);

module.exports = function (content, file, conf) {

  var opts = fis.util.clone(conf);
  compiler.applyConfig(opts);

  content = content.toString('utf8');

  // 用 HTML 相关语言能力处理一遍
  if (fis.compile.partial && file.ext === '.vue') {
    content = fis.compile.partial(content, file, {
      ext: '.html',
      isHtmlLike: true
    });
  }

  var result = '';
  try {
    result = compileSync(content, file.realpath);
  } catch (e) {
    console.log(e.stack);
  }

  // 如果使用typescript进行解析的话, 把包裹的函数去掉,
  // 否则会导致ts编译不成功
  if(file.isTsLike){
    result = result
      .replace(/;\(function\(\)\{\n/, '')
      .replace(/\n\}\)\(\)\nif \(module\.exports\.__esModule\)/, 'if (module.exports.__esModule)');
  }

  return result;
};
